#include <QPushButton>
#include <QHBoxLayout>
#include <QPainter>
#include <QStyleOption>

#include "Bar.h"

Bar::Bar(QWidget * parent)
    : QWidget(parent),
      layout(new QHBoxLayout(this))
{
    setStyleSheet("background-color: white");
    layout->setContentsMargins(4,0,4,0);
}

Bar::~Bar()
{
}

void Bar::paintEvent(QPaintEvent */*event*/)
{
    QStyleOption opt;
    opt.init(this);
    QPainter p(this);
    style()->drawPrimitive(QStyle::PE_Widget, &opt, &p, this);
}

void Bar::addButtons(const QStringList &aButtons)
{
    for(int i = 0; i < aButtons.length(); i++) {
        QPushButton *button = new QPushButton(aButtons[i], this);
        button->setStyleSheet(STYLE_BUTTON);
        button->setCheckable(true);
        button->setAutoExclusive(true);
        button->setFocusPolicy(Qt::NoFocus);
        layout->addWidget(button);
        if (!i)
            button->setChecked(true);   // select the first button
    }
}
